/***************************************************************************
  *   copyright       : (C) 2009-2010 by Pascal Brachet                     *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <QApplication>
#include <QTranslator>

#include "algobox.h"

int main(int argc, char *argv[])
{
QApplication app(argc, argv);
QTranslator* basicTranslator=new QTranslator();
#if defined( Q_WS_X11 )
QString transdir=QCoreApplication::applicationDirPath()+"/ressources";
#endif
#if defined( Q_WS_MACX )
QString transdir=QCoreApplication::applicationDirPath() + "/../Resources";
#endif
#if defined(Q_WS_WIN)
QString transdir=QCoreApplication::applicationDirPath()+"/ressources";
#endif
if (basicTranslator->load(QString("qt_fr"),transdir)) app.installTranslator(basicTranslator);
MainWindow *main=new MainWindow();
main->show();
QString arg = app.argv()[1];
if ((!arg.isEmpty()) && (arg[0] != '-') )    main->Ouvrir( arg );
return app.exec();
}
